package com.artfess.sysConfig.persistence.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.ArrayList;
import java.util.List;

@XmlRootElement(name = "sysAppXmlList")
@XmlAccessorType(XmlAccessType.FIELD)
public class SysAppXmlList {
	@XmlElement(name = "sysAppXml", type = SysAppXml.class)
	private List<SysAppXml> sysAppXmlList = new ArrayList<>();

	public List<SysAppXml> getSysAppXmlList() {
		return sysAppXmlList;
	}

	public void setSysAppXmlList(List<SysAppXml> sysAppXmlList) {
		this.sysAppXmlList = sysAppXmlList;
	}

	public void addSysAppXml(SysAppXml sysAppXml){
		sysAppXmlList.add(sysAppXml);
	}
}
